"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  getEventsView: () => getEventsView2
});
module.exports = __toCommonJS(meta_exports);

// src/calendar-v3-events-view-event-views.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixCalendarEventviewsV3EventViewsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    _: [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_calendar_event-views";
function getEventsView(payload) {
  function __getEventsView({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.events_view",
      method: "GET",
      methodFqn: "wix.calendar.eventviews.v3.EventViewsService.GetEventsView",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarEventviewsV3EventViewsServiceUrl({
        protoPath: "/v3/events/view",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [{ path: "eventsView.endDate" }]
        }
      ])
    };
    return metadata;
  }
  return __getEventsView;
}

// src/calendar-v3-events-view-event-views.meta.ts
function getEventsView2() {
  const payload = {};
  const getRequestOptions = getEventsView(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v3/events/view",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getEventsView
});
//# sourceMappingURL=meta.js.map